# Uses of Interface
org.opensaml.saml.saml2.assertion.messaging.AssertionValidationNetworkInformationSupplier

Packages that use AssertionValidationNetworkInformationSupplier
Package
Description
org.opensaml.saml.saml2.assertion.messaging
Interfaces and API classes related to networking and messaging APIs that support validating SAML 2 Assertions.

## Uses of AssertionValidationNetworkInformationSupplier in org.opensaml.saml.saml2.assertion.messaging

Classes in org.opensaml.saml.saml2.assertion.messaging that implement AssertionValidationNetworkInformationSupplier
Modifier and Type
Class
Description
`class`
`BasicNetworkInformationSupplier`
Basic property-based implementation of `AssertionValidationNetworkInformationSupplier`.
`class`
`HttpServletRequestNetworkInformationSupplier`
Implementation of `AssertionValidationNetworkInformationSupplier` which wraps an instance of `HttpServletRequest`.
Fields in org.opensaml.saml.saml2.assertion.messaging declared as AssertionValidationNetworkInformationSupplier
Modifier and Type
Field
Description
`private AssertionValidationNetworkInformationSupplier`
AssertionValidationInput.`networkInformationSupplier`
The HTTP request input.
Methods in org.opensaml.saml.saml2.assertion.messaging that return AssertionValidationNetworkInformationSupplier
Modifier and Type
Method
Description
`AssertionValidationNetworkInformationSupplier`
AssertionValidationInput.`getNetworkInformationSupplier()`
Get the `HttpServletRequest` input.
Constructors in org.opensaml.saml.saml2.assertion.messaging with parameters of type AssertionValidationNetworkInformationSupplier
Modifier
Constructor
Description
``
`AssertionValidationInput(Assertion samlAssertion, InOutOperationContext context, AssertionValidationNetworkInformationSupplier networkInformation)`
Constructor.